Reorder Group
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/category-guidance/groups/{groupLineageId}/order \
--header 'Content-Type: application/json' \
--data '
{
"itemKeys": [
"<string>"
],
"entryVersion": 123,
"collectionVersion": 123
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/category-guidance/groups/{groupLineageId}/order"
payload = {
"itemKeys": ["<string>"],
"entryVersion": 123,
"collectionVersion": 123
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({itemKeys: ['<string>'], entryVersion: 123, collectionVersion: 123})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/collections/{id}/entries/{entryId}/category-guidance/groups/{groupLineageId}/order', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"guidance": {
"revision": 123,
"classification": {
"categoryId": "<string>",
"productTypeId": "<string>"
},
"instructions": [
{
"groupId": "<string>",
"groupLineageId": "<string>",
"groupLabel": "<string>",
"items": [
{
"key": "<string>",
"id": "<string>",
"lineageId": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"position": 123,
"origin": "entry"
}
]
}
],
"requirements": [
{
"groupId": "<string>",
"groupLineageId": "<string>",
"groupLabel": "<string>",
"items": [
{
"id": "<string>",
"lineageId": "<string>",
"text": "<string>",
"assigneeRoleGroupIds": [
"warehouse"
],
"position": 123,
"origin": "category"
}
]
}
]
},
"entryVersion": 123,
"collectionVersion": 123
}Collection Entry Category Guidance
Reorder Group
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
collections
/
{id}
/
entries
/
{entryId}
/
category-guidance
/
groups
/
{groupLineageId}
/
order
Reorder Group
Path Parameters
Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Pattern:
^[1-9]\d*$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Body
application/json
⌘I